new_project -name Equalizer -folder {D:/Studium/6.Semester/Programmierbare Logik/APL/Equalizer/precision_work}
new_impl -name Equalizer_altera_impl
set_input_dir {D:/Studium/6.Semester/Programmierbare Logik/APL/Equalizer/precision_work}
setup_design -design=Equalizer
add_input_file -format vhdl -work work {{D:/Studium/6.Semester/Programmierbare Logik/APL/Equalizer/lpm_mult0.vhd}}
add_input_file -format vhdl -work work {{D:/Studium/6.Semester/Programmierbare Logik/APL/Equalizer/EQ_PLL_27.vhd}}
add_input_file -format vhdl -work work {{D:/Studium/6.Semester/Programmierbare Logik/APL/Equalizer/EQ_PLL_50.vhd}}
add_input_file -format vhdl -work work {{D:/Studium/6.Semester/Programmierbare Logik/APL/Equalizer/lpm_div0.vhd}}
add_input_file -format vhdl -work work {{D:/Studium/6.Semester/Programmierbare Logik/APL/Equalizer/iir.vhd}}
add_input_file -format vhdl -work work {{D:/Studium/6.Semester/Programmierbare Logik/APL/Equalizer/lcd_controller.vhd}}
add_input_file -format vhdl -work work {{D:/Studium/6.Semester/Programmierbare Logik/APL/Equalizer/mmi_controller.vhd}}
add_input_file -format vhdl -work work {{D:/Studium/6.Semester/Programmierbare Logik/APL/Equalizer/clock_generator.vhd}}
add_input_file -format vhdl -work work {{D:/Studium/6.Semester/Programmierbare Logik/APL/Equalizer/Equalizer.vhd}}
add_input_file -format vhdl -work work {{D:/Studium/6.Semester/Programmierbare Logik/APL/Equalizer/clock_divider.vhd}}
add_input_file -format vhdl -work work {{D:/Studium/6.Semester/Programmierbare Logik/APL/Equalizer/coefficients_register.vhd}}
add_input_file -format vhdl -work work {{D:/Studium/6.Semester/Programmierbare Logik/APL/Equalizer/coeff_mul.vhd}}
add_input_file -format vhdl -work work {{D:/Studium/6.Semester/Programmierbare Logik/APL/Equalizer/coeff_add.vhd}}
add_input_file -format vhdl -work work {{D:/Studium/6.Semester/Programmierbare Logik/APL/Equalizer/coeff_sub.vhd}}
setup_design -manufacturer ALTERA -family {CYCLONE II}  -part {EP2C35F672C} -speed {6} 
setup_design -edif=TRUE
setup_design -addio=TRUE
setup_design -basename Equalizer
setup_design -input_delay=0
if [catch {compile} err] {
	puts "Error: Errors found during compilation with Precision Synthesis tool"
	exit -force
} else {
	puts "report_status 20"
	puts "report_status 22"
	if [catch {synthesize} err] {
		puts "Error: Errors found during synthesis with Precision Synthesis tool"
		exit -force
	}
	puts "report_status 90"
	report_timing -all_clocks
	puts "report_status 92"
}
save_impl
puts "report_status 96"
close_project
